program LF1;
{$APPTYPE CONSOLE}
uses SysUtils;
{$I LFToCRLF.pas}

procedure dump(S: string);
var
  i: Integer;
begin
  for i := 1 to Length(S) do
  begin
    write(IntToHex(Ord(S[i]), 2));
    write(' ');
  end;
  writeln;
end;

begin
  dump(LFToCRLF(#10));
  dump(LFToCRLF(#10#13));
  dump(LFToCRLF(#13#10));
  dump(LFToCRLF('a'#10));
  dump(LFToCRLF('a'#13));
  dump(LFToCRLF('a'#13#10));
  dump(LFToCRLF('a'#10'b'));
  dump(LFToCRLF('a'#13'b'));
  dump(LFToCRLF('a'#13#10'b'));
  dump(LFToCRLF(#10'b'));
  dump(LFToCRLF(#13'b'));
  dump(LFToCRLF(#13#10'b'));
end.
